Skip to main content
PATCH
/
dependents
/
{public_id}
cURL
curl --request PATCH \
  --url https://sandbox.withclasp.com/dependents/{public_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "<string>",
  "middle_name": "<string>",
  "last_name": "<string>",
  "member": "<string>",
  "ssn": "<string>",
  "dob": "2023-12-25",
  "has_disability": true,
  "metadata": {}
}
'
import requests

url = "https://sandbox.withclasp.com/dependents/{public_id}"

payload = {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"member": "<string>",
"ssn": "<string>",
"dob": "2023-12-25",
"has_disability": True,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
middle_name: '<string>',
last_name: '<string>',
member: '<string>',
ssn: '<string>',
dob: '2023-12-25',
has_disability: true,
metadata: {}
})
};

fetch('https://sandbox.withclasp.com/dependents/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "member": "<string>",
  "ssn_last_four": "<string>",
  "dob": "2023-12-25",
  "address": {
    "line1": "<string>",
    "city": "<string>",
    "zip_code": "<string>",
    "line2": "<string>"
  },
  "enrolled_plans": [
    "<string>"
  ],
  "middle_name": "<string>",
  "has_disability": true,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication with required prefix "Bearer"

Path Parameters

public_id
string
required

Body

first_name
string
middle_name
string | null
Maximum string length: 255
last_name
string
member
string
member_relationship
enum<string>
  • spouse - Spouse
  • domestic_partner - Domestic Partner
  • civil_union - Civil Union
  • ex_spouse - Ex Spouse
  • child - Child
  • grandchild - Grandchild
  • step_child - Step Child
  • foster_child - Foster Child
  • adopted_child - Adopted Child
  • legal_guardianship - Legal Guardianship
  • court_ordered_dependent - Court Ordered Dependent
  • other - Other
Available options:
spouse,
domestic_partner,
civil_union,
ex_spouse,
child,
grandchild,
step_child,
foster_child,
adopted_child,
legal_guardianship,
court_ordered_dependent,
other
ssn
string
write-only
Pattern: \d{9}
dob
string<date>
biological_sex
enum<string>
  • male - Male
  • female - Female
Available options:
male,
female
has_disability
boolean
address
object
metadata
object

Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.

Response

200 - application/json
id
string
required
read-only
Pattern: ^[-a-zA-Z0-9_]+$
first_name
string
required
last_name
string
required
member
string
required
member_relationship
enum<string>
required
  • spouse - Spouse
  • domestic_partner - Domestic Partner
  • civil_union - Civil Union
  • ex_spouse - Ex Spouse
  • child - Child
  • grandchild - Grandchild
  • step_child - Step Child
  • foster_child - Foster Child
  • adopted_child - Adopted Child
  • legal_guardianship - Legal Guardianship
  • court_ordered_dependent - Court Ordered Dependent
  • other - Other
Available options:
spouse,
domestic_partner,
civil_union,
ex_spouse,
child,
grandchild,
step_child,
foster_child,
adopted_child,
legal_guardianship,
court_ordered_dependent,
other
ssn_last_four
string
required
read-only
dob
string<date>
required
biological_sex
enum<string>
required
  • male - Male
  • female - Female
Available options:
male,
female
address
object
required
enrolled_plans
string[]
required
read-only
middle_name
string | null
Maximum string length: 255
has_disability
boolean
metadata
object

Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.